/*
	チャット選択スクリプト 動画配信サイトサンプル１

	CHAT_ID で指定したHTML要素からチャットの内容を抽出するJScriptを記述します。
	JScript又はjavascriptと、DOMの知識が少々必要です。

	親スクリプトからの入力
		elements_li[i] に、CHAT_ITEM_TAG で指定したHTML要素の i 番目が入っています
	親スクリプトへの出力
		str_time に時刻を設定します
		str_name に名前を設定します
		str_content に発言内容を設定します

*/

var str_name_root;

//時刻
str_time = elements_li[i].getElementsByTagName("time")[0].innerText;
//名前
str_name_root = elements_li[i].getElementsByTagName("em")
//匿名の場合<em>タグは記載されているがDOMは何も返さないため事前にチェックする
if(str_name_root.length == 0) {
	str_name = "";
} else {
	str_name = str_name_root[0].innerText;
}
//内容
str_content = elements_li[i].getElementsByTagName("p")[0].innerText;
